--[[
	 2013 CloudSixteen.com do not share, re-distribute or modify
	without permission of its author (kurozael@gmail.com).
--]]

ITEM = Clockwork.item:New("book_base");
ITEM.name = "Antlion Anatomy";
ITEM.cost = 6;
ITEM.model = "models/props_lab/bindergreenlabel.mdl";
ITEM.uniqueID = "book_aa";
ITEM.business = true;
ITEM.description = "A book with an antlion on the front.";
ITEM.bookInformation = [[
<font color='red' size='4'>Written by Jamie Ruzicano.</font>

Antlions, (or bugs according to the Combine) are an alien race of dangerous bugs that live underground on Earth.
The most common variety of the species is simply an Antlion, however there are different strains.
Antlions have four legs, are about waist high compared to a fully grown man, and are normally green colored. Underneath its carapace
are wings which allow it to fly short distances. Antlions have a triangular shaped head which possess sharp mandibles.
They usually form swarms so large that even a well-armed opponent will be quickly overwhelmed.

Antlions do not have eyes, and instead rely on keen senses of smell and vibration. This sensitivity can be turned
against them through the use of thumpers, machines which pound the ground. This overloads their senses and prevents
them from advancing on prey near thumpers.

Antlions will pursue targets regardless of any hazards and will continue even as fellow Antlions die in front of them.
This includes charging into moving vehicles and into water, despite the fact they cannot swim.
Common Antlions defer overall leadership to Antlion Guards, who direct them through the use of pheromones.
Antlion Guards resemble a larger, more armored version of the standard Antlion. The most important and different feature
is its large, armored nose. With its size, Antlion Guards are able to bash into objects with great force in a combination
charging head-butt attack. Antlion Guards can take a lot of damage, and it normally requires a large amount of damage to bring one down.

Antlion Guards are known to smash through walls and even fellow Antlions to kill enemies it's pursuing. After a Guard's death, a
special procedure can be done to harvest the pheromone pods from the body. Harvesting pheromone pods, often called 'bug bait' from the body
of an Antlion Guard will allow a user to control Antlions. Users can command Antlions to follow by applying pressure to the pod.

The user can also make Antlions move to a certain spot by throwing a pod to that spot. These pods do not provide protection against
other Antlion Guards, and their effect is unknown on Antlion Workers. Like regular Antlions, workers can fly short distances; however, their wings are smaller.
Antlion workers primarily attack by accurately hurling 'spitballs' of neurotoxin at foes from a distance.
When killed, Antlion Workers explode in a shower of acid inflicting considerable splash damage on anything within range.

It is theorised that Antlions Workers are a mutation and subgenus of the normal Antlion, but there is no data to support this.
Workers are only found in or near Antlion nests in which they perform various tasks including the tending of Antlion Grubs.
The Antlion Grub is an Antlion larvae, a maggot-like creature that emits a high chirping call and bioluminescence.
They are found only inside Antlion colonies, and can be seen hanging on any available surfaces, often in groups of two or more.
Grubs are carnivorous and are presumably provided with food by mature Antlions. Every Antlion in the nest will protect grubs fiercely.
Grubs contain a yellow substance with healing properties. Killing the grub releases this fluid, and can then be consumed.

Although Grubs litter the nests in every nook and cranny, it's unclear how Antlions breed.
]];

ITEM:Register();