--[[
	 2013 CloudSixteen.com do not share, re-distribute or modify
	without permission of its author (kurozael@gmail.com).
--]]

ITEM = Clockwork.item:New("book_base");
ITEM.name = "Barnacle Anatomy";
ITEM.cost = 6;
ITEM.model = "models/props_lab/bindergreenlabel.mdl";
ITEM.uniqueID = "book_ba";
ITEM.business = true;
ITEM.description = "A book with a barnacle on the front.";
ITEM.bookInformation = [[
<font color='red' size='4'>Written by Jamie Ruzicano.</font>

Barnacles are stationary ceiling-dwelling aliens from Xen, first teleported to Earth during the Black Mesa Incident and, later, during the portal storms.
Physically, barnacles resemble little more than a large mouth full of sharp teeth and a thin, but long and very powerful muscular hydrostat combining the functions of a tongue and tentacle.
Barnacles are blind, and rely on their sense of touch to catch prey. The creatures attach themselves to ceilings or the undersides of overhangs, from which they lower their sticky tongues.
Although barnacles can be found in a wide array of environments, they seem to prefer damp areas.

Barnacles are relatively weak; a few shots from a 9mm pistol will kill them. They are most easily dispatched from a distance, although people who become ensnared are usually able to kill them before being consumed.
When killed, barnacles typically disgorge bones and other remains of recently-consumed victims.
A scientist refers to removing a barnacle from its "point of gestation". This suggests that a barnacle will naturally spend its entire life attached to the spot where it was born.
However, it's unknown exactly how barnacles reproduce, or how the offspring spread to different environments and attach to ceilings.

It is known that they are attached very firmly and permanently, as evidenced by their continued attachment after death.
The Barnacle has a 'second mouth' that it uses to eat and when killed, the mouth hangs out from its actual body that can be seen at all times while the original barnacle has small inner teeth inside its thick 'lips'.
Barnacles are relatively simple creatures. They do not appear to possess any degree of intelligence - instead of actively hunting prey, they feed by reacting to external stimulus.
Although the creatures do not demonstrate any intelligence in hunting, they possess an uncanny attribute to attach themselves to ceilings aurawatching thoroughfares frequented by potential prey.

When an object, living or otherwise, comes into contact with the tongue, it somehow grabs the object; the exact mechanism behind the tongue's stickiness is unknown.
The barnacle then retracts its tongue, drawing the object towards its mouth.
Upon reaching the mouth, the object is quickly evaluated by the barnacle: objects considered edible by the barnacle are crushed and consumed; inedible objects are released.
Consequently, objects such as tires, barrels or pieces of wood can be used to 'distract' a barnacle and allow a person to easily slip past it. 

Barnacles appear to be capable of killing and digesting a human being within only a few seconds (literally swallowing it), stripping the skeleton of flesh and spitting out indigestible bones.
As the barnacles are never seen moving, it can be assumed that their food requirements are relatively low and that they can survive for extended periods without food, perhaps explaining their sedentary lifestyle.
Barnacles are seen trapping and eating Antlions. They are also seen trapping Acid Worker Antlions, but as the Worker explodes as it's bitten into, this invariably results in the death of both parties.
]];

ITEM:Register();