--[[
	 2013 CloudSixteen.com do not share, re-distribute or modify
	without permission of its author (kurozael@gmail.com).
--]]

ITEM = Clockwork.item:New("book_base");
ITEM.cost = 8;
ITEM.name = "The Cat Strangler";
ITEM.model = "models/props_lab/binderredlabel.mdl";
ITEM.uniqueID = "book_tcs";
ITEM.business = true;
ITEM.description = "A book about a man who strangles cats, or something.";
ITEM.bookInformation = [[
<font color='red' size='4'>Written by Richard K. Weems.</font>

<font size = '+2'>I</font>t starts with the usual growls: the feline handled roughly by the
scruff. The Cat Strangler is at it again.

A slight struggle, a practice squeeze and others methods of
impersonal handling, and off he goes. The neighborhood collectively
shrugs its shoulders in hope of shutting out the yeowls and the hisses
stretched into high pitch by the Cat Strangler's strong, trained hands.

Parents turn up their televisions; children pull pillows over their
heads to the point of suffocation. Neighborhood pets break into
instinctual runs and flee into unfamiliar territory, their nametags and
phone numbers their only hope of return.

The Cat Strangler continues his performance. The neighbors call the
authorities, but the authorities stammer helplessly---they've been over
all this before (the pulling up, the getting out, the knocking on the
door, the being met with the Cat Strangler's cat-strangling credentials,
backed with University patronage).

For what few seem to hear under the barrage of kitty torture is the
Cat Strangler's wife, Jill, in accompaniment (tonight: Heinrich Ignaz
Franz Von Biber, <i>Sonata for Violin and Basso Continuo in C Minor</i>). No
one bothers appreciating how a firm grip on the neck and harsh pull of
the tail make a perfect B flat, how a good squeeze produces a high E.

Instead, psychiatrists will be consulted---tears will be shed. Parents
will explain to the children the wrongdoings of the Cat Strangler's art
form; they will recite scripture; they will make moral imperatives.
Animal activists will lick bloodlust from their lips and draw up plans of
attack. Far off in distant, political lands, untouched by the screams of
dying cats but active just the same, government agencies will do the
voodoo they do. Nothing will remain the same.

But for now, the recital ends---to no applause.

Jill, the Cat Strangler's wife, critiques the performance. Siamese,
she believes, have too harsh an overall tone for something as technically
precise as Biber. For the Russians, fine (for Schnittke, for
Shostakovich, even Tchaikovsky), but for the Germans she is more inclined
towards the longhairs.

The Cat Strangler makes hurried notes---such a landmark work will his
be! His professors had little hope for Musica Zoocidia beyond classroom
experimentation, and they certainly never dreamed of using animals wilder
than your typical laboratory rat. The Cat Strangler's treatise will
break all confines! He sees a future in pig concertos---nay, even a day
for the <i>Echo Sonata for Himalayan, Chihuahua and Ostrich.</i>

He transports the spent instrument in a brown paper bag in
unceremonious fashion. He takes it to a deep wood, as far as his car
will allow, and empties the bag onto a pile of expired brethren, cats
piled upon cats piled upon cats piled upon cats, tongues stuck out in
strangulation horror. The pile writhes in minute, maggot-infested
rhythm. When the Cat Stranlger departs, waiting minions of sporting
equipment manufacturers raid the pile of former felines for the making of
tennis rackets. These rackets are placed into the able hands of
strong-bodied, gleaming white tennis players, who swing into furious
volleys for game.
]];

ITEM:Register();